//####################################################################
//##     Copyright  Meta Integration Technology, Inc. 1997-2004    ##
//##                      All Rights Reserved.                      ##
//####################################################################
//## Meta Integration(tm) Model Bridge (MIMB), Works (MIW),         ##
//## Repository (MIR), Repository SDK (MIRSDK), and Database SDK    ##
//## (MIDBSDK) are trademarks of Meta Integration Technology, Inc.  ##
//## Other product and company names (or logos) mentioned herein    ##
//## may be the trademarks of their respective owners.              ##
//####################################################################
//##                 http://www.metaintegration.com                 ##
//####################################################################

#ifndef MIRConfiguration_h
#define MIRConfiguration_h 1

#include "MIRStdDefs.h"
#include "MIRString.h"

/*
 * Functions to set the configuration environment variables.
 */
extern MIR_STD_API MIRBoolean setMIRI18nLang(const char* lang);
extern MIR_STD_API MIRBoolean setMIRConfigurationPath(const char* path);

/*
 * Functions to get the configuration environment variables.
 */
extern MIR_STD_API MIRTString getMIRI18nLang();
extern MIR_STD_API MIRTString getMIRConfigurationPath();

#endif /* end of file */
