//####################################################################
//##     Copyright  Meta Integration Technology, Inc. 1997-2002    ##
//##                      All Rights Reserved.                      ##
//####################################################################
//## Meta Integration(tm) Model Bridge (MIMB), Works (MIW),         ##
//## Repository (MIR), Repository SDK (MIRSDK), and Database SDK    ##
//## (MIDBSDK) are trademarks of Meta Integration Technology, Inc.  ##
//## Other product and company names (or logos) mentioned herein    ##
//## may be the trademarks of their respective owners.              ##
//####################################################################
//##                 http://www.metaintegration.com                 ##
//####################################################################

#ifndef MIRValidationLevel_h
#define MIRValidationLevel_h 1

#define VALID_SYNTAX    0x00
#define VALID_SEMANTIC  0x01
#define VALID_RECURSIVE 0x02
#define VALID_ALL_LINKS 0x04
#define VALID_VERBOSE   0x08


#define VALID_DEFAULT (VALID_SYNTAX|VALID_SEMANTIC|VALID_RECURSIVE)
#define VALID_DEBUG   (VALID_SYNTAX|VALID_SEMANTIC|VALID_ALL_LINKS|VALID_RECURSIVE|VALID_VERBOSE)

#endif /* end of file */
